[arvados] updated: 2.6.0-4751-g47784a4d10
git repository hosting
git at public.arvados.org
Thu Aug 24 17:00:39 UTC 2023
Summary of changes:
services/workbench2/tools/run-integration-tests.sh | 20 +++++++++++---------
1 file changed, 11 insertions(+), 9 deletions(-)
via 47784a4d10fa54b90893ee53b4491da9c439bcdf (commit)
from 075af058f0e618c0c7c0e45d6e36b7923b6e78f2 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 47784a4d10fa54b90893ee53b4491da9c439bcdf
Author: Tom Clegg <tom at curii.com>
Date: Thu Aug 24 13:00:17 2023 -0400
18874: Skip `arvados-server install`.
Arvados-DCO-1.1-Signed-off-by: Tom Clegg <tom at curii.com>
diff --git a/services/workbench2/tools/run-integration-tests.sh b/services/workbench2/tools/run-integration-tests.sh
index ad2248ea7e..1435bc50d5 100755
--- a/services/workbench2/tools/run-integration-tests.sh
+++ b/services/workbench2/tools/run-integration-tests.sh
@@ -94,15 +94,17 @@ if [ ! -d "${ARVADOS_DIR}/.git" ]; then
git clone https://git.arvados.org/arvados.git ${ARVADOS_DIR} || exit 1
fi
-echo "Building & installing arvados-server..."
-cd ${ARVADOS_DIR}
-go mod download || exit 1
-cd cmd/arvados-server
-go install
-cd -
-
-echo "Installing dev dependencies..."
-${GOPATH:-${HOME}/go}/bin/arvados-server install -type test || exit 1
+if [ ! -x ${GOPATH:-${HOME}/go}/bin/arvados-server ]; then
+ echo "Building & installing arvados-server..."
+ cd ${ARVADOS_DIR}
+ go mod download || exit 1
+ cd cmd/arvados-server
+ go install
+ cd -
+
+ echo "Installing dev dependencies..."
+ ${GOPATH:-${HOME}/go}/bin/arvados-server install -type test || exit 1
+fi
echo "Launching arvados in test mode..."
TMPSUBDIR=$(mktemp -d -p /tmp | cut -d \/ -f3) # Removes the /tmp/ part for the regex below
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list